<?xml version="1.0" encoding="UTF-8"?>
<Configuration monitorInterval="30">
    <Properties>
        <Property name="log-path">/app/logs/registry</Property>
    </Properties>
    <Appenders>
        <RollingFile  name="info-log" fileName="${log-path}/info.log" append="true"
                      filePattern="${log-path}/$${date:yyyy-MM}/info-%d{yyyyMMdd}-%i.log.gz">
            <Filters>
                <ThresholdFilter level="error" onMatch="DENY"   onMismatch="NEUTRAL"/>
                <ThresholdFilter level="warn"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="info"  onMatch="ACCEPT" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="debug"  onMatch="DENY" onMismatch="NEUTRAL"/>
            </Filters>
            <PatternLayout>
                <pattern>%d - %-22.22c{1.} - %-18.18M - %m - [%X{token}] %n</pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="20 MB"/>
            </Policies>
            <DefaultRolloverStrategy max="500"/>
        </RollingFile >
        <RollingFile  name="warn-log" fileName="${log-path}/warn.log" append="true"
                      filePattern="${log-path}/$${date:yyyy-MM}/warn-%d{yyyyMMdd}-%i.log.gz">
            <Filters>
                <ThresholdFilter level="error" onMatch="DENY"   onMismatch="NEUTRAL"/>
                <ThresholdFilter level="warn"  onMatch="ACCEPT" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="info"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="debug"  onMatch="DENY" onMismatch="NEUTRAL"/>
            </Filters>
            <PatternLayout>
                <pattern>%d - %-22.22c{1.} - %-18.18M - %m - [%X{token}] %n</pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="20 MB"/>
            </Policies>
            <DefaultRolloverStrategy max="500"/>
        </RollingFile >
        <RollingFile  name="error-log" fileName="${log-path}/error.log" append="true"
                      filePattern="${log-path}/$${date:yyyy-MM}/error-%d{yyyyMMdd}-%i.log.gz">
            <Filters>
                <ThresholdFilter level="error" onMatch="ACCEPT"   onMismatch="NEUTRAL"/>
                <ThresholdFilter level="warn"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="info"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="debug"  onMatch="DENY" onMismatch="NEUTRAL"/>
            </Filters>
            <PatternLayout>
                <pattern>%d - %-22.22c{1.} - %-18.18M - %m - [%X{token}] %n</pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="20 MB"/>
            </Policies>
            <DefaultRolloverStrategy max="500"/>
        </RollingFile >
        <RollingFile  name="debug-log" fileName="${log-path}/debug.log" append="true"
                      filePattern="${log-path}/$${date:yyyy-MM}/debug-%d{yyyyMMdd}-%i.log.gz">
            <Filters>
                <ThresholdFilter level="error" onMatch="DENY"   onMismatch="NEUTRAL"/>
                <ThresholdFilter level="warn"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="info"  onMatch="DENY" onMismatch="NEUTRAL"/>
                <ThresholdFilter level="debug"  onMatch="ACCEPT" onMismatch="NEUTRAL"/>
            </Filters>
            <PatternLayout>
                <pattern>%d - %-22.22c{1.} - %-18.18M - %m - [%X{token}] %n</pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="20 MB"/>
            </Policies>
            <DefaultRolloverStrategy max="500"/>
        </RollingFile >
        <RollingFile  name="server" fileName="${log-path}/server.log" append="true"
                      filePattern="${log-path}/$${date:yyyy-MM}/server-%d{yyyyMMdd}-%i.log.gz">

            <PatternLayout>
                <pattern>%d - [%level{length=1}] - %-50.50c{1.} - %-18.18M - %m - [%X{token}] %n</pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="20 MB"/>
            </Policies>
            <DefaultRolloverStrategy max="500"/>
        </RollingFile >
        <!-- Console Appender -->
        <Console name="Console" target="SYSTEM_OUT">
            <PatternLayout pattern="%d - [%level{length=1}] - %-50.50c{1.} - %-18.18M - %m - [%X{token}] %n" />
        </Console>
    </Appenders>
    <Loggers>
        <Root level="info">
            <AppenderRef ref="server" level="info"/>
            <AppenderRef ref="Console"/>
        </Root>
        <Logger name="vn.vnpay" level="debug" additivity="false">
            <AppenderRef ref="debug-log" level="debug"/>
            <AppenderRef ref="info-log" level="info"/>
            <AppenderRef ref="warn-log" level="warn"/>
            <AppenderRef ref="error-log" level="error"/>
            <AppenderRef ref="Console"/>
        </Logger>
    </Loggers>
</Configuration>
